package aalg.crypto;

/**
 * Verification values that anonymous establisher sends to controller.
 * @author Ing. Petr Ležák
 *
 * @param <PUB> type of public key
 */
public class AnonymousVerificationValues<PUB extends IPublicKey> {
	
	private final byte[] encryptedMessage;
	private final PUB tmpPubKey;
	
	public AnonymousVerificationValues(final byte[] encryptedMessage, final PUB tmpPubKey) {
		this.encryptedMessage = encryptedMessage;
		this.tmpPubKey = tmpPubKey;
	}

	public byte[] getEncryptedMessage() {
		return encryptedMessage;
	}

	public PUB getTmpPubKey() {
		return tmpPubKey;
	}

}
